%global momorel 1

Name:           perl-HTTP-Engine
Version:        0.02001
Release:        %{momorel}m%{?dist}
Summary:        Web Server Gateway Interface and HTTP Server Engine Drivers (Yet Another Catalyst::Engine)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Engine/
Source0:	http://www.cpan.org/modules/by-module/HTTP/HTTP-Engine-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.0
BuildRequires:  perl-Any-Moose >= 0.08
BuildRequires:  perl-CGI-Simple
BuildRequires:  perl-Class-Method-Modifiers
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-FCGI >= 0.67
BuildRequires:  perl-HTTP-Body >= 1.05
BuildRequires:  perl-HTTP-Headers-Fast >= 0.09
BuildRequires:  perl-HTTP-Request-AsCGI
BuildRequires:  perl-HTTP-Server-Simple >= 0.35
BuildRequires:  perl-IO-stringy
BuildRequires:  perl-Mouse >= 0.21
BuildRequires:  perl-MouseX-Types >= 0.01
BuildRequires:  perl-POE >= 1.0003
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Test-SharedFork >= 0.04
BuildRequires:  perl-Test-TCP >= 0.04
BuildRequires:  perl-URI >= 1.36
BuildRequires:  perl-YAML
Requires:       perl(Any::Moose) >= 0.08
Requires:       perl(CGI::Simple::Cookie) >= 1.103
Requires:       perl(Class::Method::Modifiers)
Requires:       perl(FCGI) >= 0.67
Requires:       perl(HTTP::Body) >= 1.05
Requires:       perl(HTTP::Headers::Fast) >= 0.09
Requires:       perl(HTTP::Server::Simple) >= 0.35
Requires:       perl(IO::Scalar) >= 2.11
Requires:       perl(Mouse) >= 0.21
Requires:       perl(MouseX::Types) >= 0.01
Requires:       perl(POE) >= 1.0003
Requires:       perl(POE::Filter::HTTPD) >= 1.2387
Requires:       perl(URI) >= 1.36
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTTP::Engine abstracts handling the input and output of various web server
environments, including CGI, mod_perl and FastCGI.

%prep
%setup -q -n HTTP-Engine-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/HTTP/Engine*
%{_mandir}/man3/*

%changelog
* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02001-1m)
- update to 0.02001

* Tue Jun  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.8-3m)
- remove duplicate directories

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.8-2m)
- modify BuildRequires

* Thu May 28 2009 Nakamura Hirotaka<h_nakamura@momonga-linux.org>
- (0.1.8-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
